--[[
Conky, a system monitor, based on torsmo

Any original torsmo code is licensed under the BSD license

All code written since the fork of torsmo is licensed under the GPL

Please see COPYING for details

Copyright (c) 2004, Hannu Saransaari and Lauri Hakkarainen
Copyright (c) 2005-2019 Brenden Matthews, Philip Kovacs, et. al. (see AUTHORS)
All rights reserved.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
]]

--[[
======= GENERAL NOTES =======

----- COLOR CODES -----
Black: 000000
Blue, Powder: 8470FF
Blue, Sky: 0500FF
Green: 008F0D
Grey: 656667
Grey, Light: 828282
Grey, Light: 999999
Purple: 7100FF
Red: D71313
Yellow, Dirty: 656000
Yellow: F5C414
White: FFFFFF

PowderBlue: B0E0E6
LightSlateGray: 778899
Thistle: D8BFD8
YellowGreen: 9ACD32
LightSalmon: FFA07A
NavajoWhite: FFDEAD
DeepSkyBlue: 00BFFF
CadetBlue: 5F9EA0
DarkKhaki: BDB76B
IndianRed: CD5C5C


----- FONTS -----
Liberation Mono:bold:size=11
Liberation Sans:size=11
Verana Sans Demi:size=11

======= /GENERAL NOTES =======
]]

--[[
======= DISPLAY NOTES =======

The "color" command used in the "conky.text" section uses the color from the "default_color" setting under the "conky.config" section.

On the command line, type "inxi -n" to obtain the network hardware info for your device. Use the info following the "IF:" label(s) for the WiFi and Ethernet display info under the "conky.text" section.

Sample of additional info to display under the "conky.text" section:

For multi-core CPU; you may need to adjust if you have more/less cores.

${color}CPU 0/1:$color0 $alignr${cpu cpu0}% / $alignr${cpu cpu1}%
${color}CPU 2/3:$color0 $alignr${cpu cpu2}% / $alignr${cpu cpu3}%

For more conky info and examples:

Casey's Conky Reference	with Examples
http://www.ifxgroup.net/conky.htm

Conky Main Site
https://github.com/brndnmtthws/conky

Conky - Calendars/Clocks/Time thread, BunsenLabs Scripts, Tutorials and Tips forum
https://forums.bunsenlabs.org/viewtopic.php?id=516

Conky weather+moon scripts thread, BunsenLabs Scripts, Tutorials and Tips forum
https://forums.bunsenlabs.org/viewtopic.php?id=189

Show us your conky thread, BunsenLabs Scripts, Tutorials and Tips forum
https://forums.bunsenlabs.org/viewtopic.php?id=512

======= /DISPLAY NOTES =======
]]

conky.config = {
    alignment = 'top_left',
    background = true,
    border_width = 1,
    color0 = '00BFFF',
    cpu_avg_samples = 2,
    default_color = '0500FF',
    default_outline_color = '828282',
    default_shade_color = '000000',
    double_buffer = true,
    draw_borders = false,
    draw_graph_borders = false,
    draw_outline = false,
    draw_shades = false,
    extra_newline = false,
    font = 'Verana Sans Demi:size=11',
    gap_x = 12,
    gap_y = 12,
    minimum_height = 200,
    minimum_width = 300,
    net_avg_samples = 2,
    no_buffers = true,
    out_to_console = false,
    out_to_ncurses = false,
    out_to_stderr = false,
    out_to_x = true,
    own_window = true,
    own_window_transparent = true,
    own_window_class = 'Conky',
    own_window_type = 'override',
    show_graph_range = false,
    show_graph_scale = false,
    stippled_borders = 0,
    update_interval = 1.0,
    uppercase = false,
    use_spacer = 'none',
    use_xft = true,
}

conky.text = [[
S Y S T E M    I N F O
$hr
${color}Host:$color0 $alignr$nodename
${color}Kernel:$color0 $alignr$kernel
${color}Uptime:$color0 $alignr$uptime
${color}UTC:$color0 ${alignr}${utime %H:%M:%S}

${color}RAM:$color0 $alignr$mem / $memmax

${color}D I S K    U S E A G E    (u / f / t)
$hr
${color}sdax:$color0 $alignr${fs_used /} / ${fs_free /} / ${fs_size /}

${color}N E T W O R K
$hr
${color}Ethernet IP:$color0 $alignr${addr x}
${color}Ethernet DL:$color0 $alignr${totaldown x}
${color}Ethernet UL:$color0 $alignr${totalup x}

${color}Wi-Fi IP:$color0 $alignr${addr x}
${color}Wi-Fi DL:$color0 $alignr${totaldown x}
${color}Wi-Fi UL:$color0 $alignr${totalup x}

${color}External IP:$color0 $alignr${exec wget https://ipinfo.io/ip -qO -}
]]
